Loading...
Searching...
No Matches
sres_record.h File Reference

Sofia DNS Resolver Records. More...

`#include "sofia-resolv/sres_config.h"`
Include dependency graph for sres_record.h:

Go to the source code of this file.

## Data Structures

struct | sres_common
| Common part of all DNS records. More...
struct | sres_soa_record
| Start of a zone of authority record (RFC 1035). More...
struct | sres_generic
| Generic DNS record. More...
struct | sres_a_record
| Address record (RFC 1035). More...
struct | sres_in6_t
| IPv6 address used by sresolv library. More...
struct | sres_a6_record
| Aggregated address record for IPv6 (RFC 2874, deprecated). More...
struct | sres_aaaa_record
| Address record for IPv6 (RFC 1886). More...
struct | sres_cname_record
| Canonic name record (RFC 1035). More...
struct | sres_ptr_record
| Pointer record (RFC 1035). More...
struct | sres_srv_record
| Service location record (RFC 2782). More...
struct | sres_naptr_record
| Naming authority pointer record (RFC 2915). More...
union | sres_record
| Union of different DNS records. More...

## Macros

#define | SOFIA_RESOLV_SRES_RECORD_H
| Defined when <sofia-resolv/sres_record.h> has been included.

## Typedefs

typedef struct sres_common | sres_common_t
| Common part of all DNS records.
typedef struct sres_soa_record | sres_soa_record_t
| Start of a zone of authority record (RFC 1035).
typedef struct sres_generic | sres_generic_t
| Generic DNS record.
typedef struct sres_a_record | sres_a_record_t
| Address record (RFC 1035).
typedef struct sres_a6_record | sres_a6_record_t
| Aggregated address record for IPv6 (RFC 2874, deprecated).
typedef struct sres_aaaa_record | sres_aaaa_record_t
| Address record for IPv6 (RFC 1886).
typedef struct sres_cname_record | sres_cname_record_t
| Canonic name record (RFC 1035).
typedef struct sres_ptr_record | sres_ptr_record_t
| Pointer record (RFC 1035).
typedef struct sres_srv_record | sres_srv_record_t
| Service location record (RFC 2782).
typedef struct sres_naptr_record | sres_naptr_record_t
| Naming authority pointer record (RFC 2915).

## Enumerations

enum | sres_status { SRES_OK , SRES_FORMAT_ERR , SRES_SERVER_ERR , SRES_NAME_ERR , SRES_UNIMPL_ERR , SRES_AUTH_ERR , SRES_TIMEOUT_ERR , SRES_RECORD_ERR , SRES_INTERNAL_ERR , SRES_NETWORK_ERR , _SRES_LAST_ERR }
| Possible values for r_status (RCODE) in sres_common. More...
enum | sres_class { sres_class_in , sres_class_any }
| Protocol family classes. More...

enum

sres_qtypes {
sres_type_a ,
sres_type_ns ,
sres_type_mf ,
sres_type_cname ,
sres_type_soa ,
sres_type_mb ,
sres_type_mg ,
sres_type_mr ,
sres_type_null ,
sres_type_wks ,
sres_type_ptr ,
sres_type_hinfo ,
sres_type_minfo ,
sres_type_mx ,
sres_type_txt ,
sres_type_rp ,
sres_type_afsdb ,
sres_type_x25 ,
sres_type_isdn ,
sres_type_rt ,
sres_type_nsap ,
sres_type_nsap_ptr ,
sres_type_sig ,
sres_type_key ,
sres_type_px ,
sres_type_gpos ,
sres_type_aaaa ,
sres_type_loc ,
sres_type_nxt ,
sres_type_eid ,
sres_type_nimloc ,
sres_type_srv ,
sres_type_atma ,
sres_type_naptr ,
sres_type_kx ,
sres_type_cert ,
sres_type_a6 ,
sres_type_dname ,
sres_type_sink ,
sres_type_opt ,
sres_qtype_tsig ,
sres_qtype_ixfr ,
sres_qtype_axfr ,
sres_qtype_mailb ,
sres_qtype_maila ,
sres_qtype_any
}

| Query types. More...

## Functions

SRESPUBFUN char const * | sres_record_type (int type, char buffer[8])
| Convert type to its name.
SRESPUBFUN char const * | sres_record_status (int status, char buffer[8])
| Convert status to its name.
SRESPUBFUN int | sres_record_compare (sres_record_t const *, sres_record_t const *)
| Compare two records.

## Detailed Description

Sofia DNS Resolver Records.

Author
  Pekka Pessi Pekka.nosp@m..Pes.nosp@m.si@no.nosp@m.kia..nosp@m.com,

Include Context
  #include <sys/types.h>
  #include <sys/socket.h>
  #include <netinet/in.h>
  #include <sofia-resolv/sres_record.h>
  sres_record.h
  Sofia DNS Resolver Records.

## Enumeration Type Documentation

## sres_class

enum sres_class

Protocol family classes.

Enumerator
sres_class_in | Internet (IN).
sres_class_any | Any class.

## sres_qtypes

enum sres_qtypes

Query types.

Enumerator
sres_type_a | IPv4 address (sres_a_record).
sres_type_ns | Authoritative server.
sres_type_mf | Mail forwarder.
sres_type_cname | Canonical name (sres_cname_record).
sres_type_soa | Start of authority zone (sres_soa_record).
sres_type_mb | Mailbox domain name.
sres_type_mg | Mail group member.
sres_type_mr | Mail rename name.
sres_type_null | Null resource record.
sres_type_wks | Well known service.
sres_type_ptr | Domain name pointer (sres_ptr_record).
sres_type_hinfo | Host information.
sres_type_minfo | Mailbox information.
sres_type_mx | Mail routing information.
sres_type_txt | Text strings.
sres_type_rp | Responsible person.
sres_type_afsdb | AFS cell database.
sres_type_x25 | X_25 calling address.
sres_type_isdn | ISDN calling address.
sres_type_rt | Router.
sres_type_nsap | NSAP address.
sres_type_nsap_ptr | Reverse NSAP lookup.
sres_type_sig | Security signature.
sres_type_key | Security key.
sres_type_px | X.400 mail mapping.
sres_type_gpos | ICBM record.
sres_type_aaaa | IPv6 Address (sres_aaaa_record).
sres_type_loc | Location Information.
sres_type_nxt | Next domain.
sres_type_eid | Endpoint identifier.
sres_type_nimloc | Nimrod Locator.
sres_type_srv | Server Selection (RFC 2782, sres_srv_record).
sres_type_atma | ATM Address.
sres_type_naptr | Naming Authority PoinTeR (RFC 2915, sres_naptr_record).
sres_type_kx | Key Exchange.
sres_type_cert | Certification record.
sres_type_a6 | IPv6 address (deprecates AAAA).
sres_type_dname | Non-terminal DNAME (for IPv6).
sres_type_sink | Kitchen sink (experimental).
sres_type_opt | EDNS 0 option (RFC 2671).
sres_qtype_tsig | Transaction signature.
sres_qtype_ixfr | Incremental zone transfer.
sres_qtype_axfr | Transfer zone of authority.
sres_qtype_mailb | Transfer mailbox records.
sres_qtype_maila | Transfer mail agent records.
sres_qtype_any | Wildcard match.

## sres_status

enum sres_status

Possible values for r_status (RCODE) in sres_common.

Enumerator
SRES_OK | No error condition.
SRES_FORMAT_ERR | Server could not interpret query.
SRES_SERVER_ERR | Server error.
SRES_NAME_ERR | No domain name.
SRES_UNIMPL_ERR | Not implemented.
SRES_AUTH_ERR | Refused.
SRES_TIMEOUT_ERR | Timeout occurred.
SRES_RECORD_ERR | Name has no given record type.
SRES_INTERNAL_ERR | Internal error.
SRES_NETWORK_ERR | Network or DNS configuration error.

## Function Documentation

## sres_record_status()

SRESPUBFUN char const * sres_record_status | ( | int | status,
|  | char | buffer[8] )

Convert status to its name.

Convert status to its name.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.